﻿$packageName = 'geforce-game-ready-driver'
$fileType = 'exe'
$silentArgs = '-s -noreboot'
$url   = 'https://us.download.nvidia.com/Windows/385.69/385.69-desktop-win10-32bit-international-whql.exe'
$url64 = 'https://us.download.nvidia.com/Windows/385.69/385.69-desktop-win10-64bit-international-whql.exe'
$checksum   = 'a8399cc69ef7b4594695ab1120c5fd81c54ee6e69414f60b50539fc39737b5d7'
$checksum64 = 'f66645fb69f71af96670a3f0079b60e913286e87f4562ac90fcd7220de2cfab4'
$checksumType = 'sha256'

If ( [System.Environment]::OSVersion.Version.Major -ne '10' ) {
	$url   = 'https://us.download.nvidia.com/Windows/385.69/385.69-desktop-win8-win7-32bit-international-whql.exe'
	$url64 = 'https://us.download.nvidia.com/Windows/385.69/385.69-desktop-win8-win7-64bit-international-whql.exe'
	$checksum   = 'dab0e85b7e5bf3466c198db18f4353ee34a7cc7a931ae0dd403de7f1309a0ac1'
	$checksum64 = '2289f76a00fa3135a845abdfd67471e6efa3e0073533524f2c5b5cce7b1bec1a'
}


Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 `
-Checksum $checksum -ChecksumType $checksumType -Checksum64 $checksum64 `
-ValidExitCodes @(0,1)

Write-Host "The package 'nvidia-display-driver' is also available for those who don't want or need the extra software bundled with the conventional geforce package."
